## org.eclipse.datatools.connectivity.oda.design
Interface ValueFormatHints

    public interface ValueFormatHints

Hints on how to format a value.

The following features are supported:

- `Display Size`
- `Display Format`
- `Text Format Type`
- `Horizontal Alignment`
- `Text Wrap Type`

See Also:
  `DesignPackage.getValueFormatHints()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayFormat()` Returns the value of the 'Display Format' attribute.
`int` `getDisplaySize()` Returns the value of the 'Display Size' attribute.
`HorizontalAlignment` `getHorizontalAlignment()` Returns the value of the 'Horizontal Alignment' attribute.
`TextFormatType` `getTextFormatType()` Returns the value of the 'Text Format Type' attribute.
`TextWrapType` `getTextWrapType()` Returns the value of the 'Text Wrap Type' attribute.
`boolean` `isSetDisplaySize()` Returns whether the value of the '`Display Size`' attribute is set.
`boolean` `isSetHorizontalAlignment()` Returns whether the value of the '`Horizontal Alignment`' attribute is set.
`boolean` `isSetTextFormatType()` Returns whether the value of the '`Text Format Type`' attribute is set.
`boolean` `isSetTextWrapType()` Returns whether the value of the '`Text Wrap Type`' attribute is set.
`void` `setDisplayFormat(java.lang.String value)` Sets the value of the '`Display Format`' attribute.
`void` `setDisplaySize(int value)` Sets the value of the '`Display Size`' attribute.
`void` `setHorizontalAlignment(HorizontalAlignment value)` Sets the value of the '`Horizontal Alignment`' attribute.
`void` `setTextFormatType(TextFormatType value)` Sets the value of the '`Text Format Type`' attribute.
`void` `setTextWrapType(TextWrapType value)` Sets the value of the '`Text Wrap Type`' attribute.
`void` `unsetDisplaySize()` Unsets the value of the '`Display Size`' attribute.
`void` `unsetHorizontalAlignment()` Unsets the value of the '`Horizontal Alignment`' attribute.
`void` `unsetTextFormatType()` Unsets the value of the '`Text Format Type`' attribute.
`void` `unsetTextWrapType()` Unsets the value of the '`Text Wrap Type`' attribute.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDisplaySize

    int getDisplaySize()

  Returns the value of the 'Display Size' attribute. The default value is `"-1"`. Default display length of the data value. A value of -1 means unknown length. The default value, if not specified, is -1.

  Returns:
    the value of the 'Display Size' attribute.
  See Also:
    `isSetDisplaySize()`, `unsetDisplaySize()`, `setDisplaySize(int)`, `DesignPackage.getValueFormatHints_DisplaySize()`

### setDisplaySize

    void setDisplaySize(int value)

  Sets the value of the '`Display Size`' attribute.

  Parameters:
    `value` - the new value of the 'Display Size' attribute.
  See Also:
    `isSetDisplaySize()`, `unsetDisplaySize()`, `getDisplaySize()`

### unsetDisplaySize

    void unsetDisplaySize()

  Unsets the value of the '`Display Size`' attribute.

  See Also:
    `isSetDisplaySize()`, `getDisplaySize()`, `setDisplaySize(int)`

### isSetDisplaySize

    boolean isSetDisplaySize()

  Returns whether the value of the '`Display Size`' attribute is set.

  Returns:
    whether the value of the 'Display Size' attribute is set.
  See Also:
    `unsetDisplaySize()`, `getDisplaySize()`, `setDisplaySize(int)`

### getDisplayFormat

    java.lang.String getDisplayFormat()

  Returns the value of the 'Display Format' attribute. The preferred display format of the data value. It contains a data format mask, e.g. #,###.00, ShortDate, etc.

  Returns:
    the value of the 'Display Format' attribute.
  See Also:
    `setDisplayFormat(String)`, `DesignPackage.getValueFormatHints_DisplayFormat()`

### setDisplayFormat

    void setDisplayFormat(java.lang.String value)

  Sets the value of the '`Display Format`' attribute.

  Parameters:
    `value` - the new value of the 'Display Format' attribute.
  See Also:
    `getDisplayFormat()`

### getTextFormatType

    TextFormatType getTextFormatType()

  Returns the value of the 'Text Format Type' attribute. The default value is `"Plain"`. The literals are from the enumeration `TextFormatType`. The type of text content of the data value, i.e. plain text, HTML or RTF. It provides a hint on the type of text control to use for displaying the data value, e.g. a Dynamic Text Control.

  Returns:
    the value of the 'Text Format Type' attribute.
  See Also:
    `TextFormatType`, `isSetTextFormatType()`, `unsetTextFormatType()`, `setTextFormatType(TextFormatType)`, `DesignPackage.getValueFormatHints_TextFormatType()`

### setTextFormatType

    void setTextFormatType(TextFormatType value)

  Sets the value of the '`Text Format Type`' attribute.

  Parameters:
    `value` - the new value of the 'Text Format Type' attribute.
  See Also:
    `TextFormatType`, `isSetTextFormatType()`, `unsetTextFormatType()`, `getTextFormatType()`

### unsetTextFormatType

    void unsetTextFormatType()

  Unsets the value of the '`Text Format Type`' attribute.

  See Also:
    `isSetTextFormatType()`, `getTextFormatType()`, `setTextFormatType(TextFormatType)`

### isSetTextFormatType

    boolean isSetTextFormatType()

  Returns whether the value of the '`Text Format Type`' attribute is set.

  Returns:
    whether the value of the 'Text Format Type' attribute is set.
  See Also:
    `unsetTextFormatType()`, `getTextFormatType()`, `setTextFormatType(TextFormatType)`

### getHorizontalAlignment

    HorizontalAlignment getHorizontalAlignment()

  Returns the value of the 'Horizontal Alignment' attribute. The default value is `"Automatic"`. The literals are from the enumeration `HorizontalAlignment`. Horizontal display alignment of the data value. See valid enum values. "Automatic" means that it is up to an ODA host designer to determine the alignment based on its default rules.

  Returns:
    the value of the 'Horizontal Alignment' attribute.
  See Also:
    `HorizontalAlignment`, `isSetHorizontalAlignment()`, `unsetHorizontalAlignment()`, `setHorizontalAlignment(HorizontalAlignment)`, `DesignPackage.getValueFormatHints_HorizontalAlignment()`

### setHorizontalAlignment

    void setHorizontalAlignment(HorizontalAlignment value)

  Sets the value of the '`Horizontal Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Horizontal Alignment' attribute.
  See Also:
    `HorizontalAlignment`, `isSetHorizontalAlignment()`, `unsetHorizontalAlignment()`, `getHorizontalAlignment()`

### unsetHorizontalAlignment

    void unsetHorizontalAlignment()

  Unsets the value of the '`Horizontal Alignment`' attribute.

  See Also:
    `isSetHorizontalAlignment()`, `getHorizontalAlignment()`, `setHorizontalAlignment(HorizontalAlignment)`

### isSetHorizontalAlignment

    boolean isSetHorizontalAlignment()

  Returns whether the value of the '`Horizontal Alignment`' attribute is set.

  Returns:
    whether the value of the 'Horizontal Alignment' attribute is set.
  See Also:
    `unsetHorizontalAlignment()`, `getHorizontalAlignment()`, `setHorizontalAlignment(HorizontalAlignment)`

### getTextWrapType

    TextWrapType getTextWrapType()

  Returns the value of the 'Text Wrap Type' attribute. The default value is `"None"`. The literals are from the enumeration `TextWrapType`. A hint on the type of text wrapping on the data value. It could be in a single line (None), or word-wrapped (Word).

  Returns:
    the value of the 'Text Wrap Type' attribute.
  See Also:
    `TextWrapType`, `isSetTextWrapType()`, `unsetTextWrapType()`, `setTextWrapType(TextWrapType)`, `DesignPackage.getValueFormatHints_TextWrapType()`

### setTextWrapType

    void setTextWrapType(TextWrapType value)

  Sets the value of the '`Text Wrap Type`' attribute.

  Parameters:
    `value` - the new value of the 'Text Wrap Type' attribute.
  See Also:
    `TextWrapType`, `isSetTextWrapType()`, `unsetTextWrapType()`, `getTextWrapType()`

### unsetTextWrapType

    void unsetTextWrapType()

  Unsets the value of the '`Text Wrap Type`' attribute.

  See Also:
    `isSetTextWrapType()`, `getTextWrapType()`, `setTextWrapType(TextWrapType)`

### isSetTextWrapType

    boolean isSetTextWrapType()

  Returns whether the value of the '`Text Wrap Type`' attribute is set.

  Returns:
    whether the value of the 'Text Wrap Type' attribute is set.
  See Also:
    `unsetTextWrapType()`, `getTextWrapType()`, `setTextWrapType(TextWrapType)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.